Package org.gradle.nativeplatform.toolchain.plugins

# Class MicrosoftVisualCppCompilerPlugin

java.lang.Object
org.gradle.nativeplatform.toolchain.plugins.MicrosoftVisualCppCompilerPlugin

All Implemented Interfaces:
  `Plugin<Project>`

@Incubating public class MicrosoftVisualCppCompilerPlugin extends Object implements Plugin<Project>
A `Plugin` which makes the Microsoft Visual C++ compiler available to compile C/C++ code.

## Constructor Summary

Constructors
Constructor
Description
`MicrosoftVisualCppCompilerPlugin()`

## Method Summary

Modifier and Type
Method
Description
`void`
`apply(Project project)`
Apply this plugin to the given target object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MicrosoftVisualCppCompilerPlugin

public MicrosoftVisualCppCompilerPlugin()

## Method Details

### apply

public void apply(Project project)
Description copied from interface: `Plugin`
Apply this plugin to the given target object.

Specified by:
  `apply` in interface `Plugin<Project>`
Parameters:
  `project` - The target object